--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -32,6 +32,11 @@
 find_package(Git)
 determine_version(${AvogadroApp_SOURCE_DIR} ${GIT_EXECUTABLE} "AvogadroApp")
 
+if(Q_WS_X11)
+  find_package(X11 REQUIRED)
+  target_link_libraries(avogadro ${X11_X11_LIB})
+endif()
+
 if(APPLE)
   set(MACOSX_BUNDLE_NAME "Avogadro2")
   set(prefix "${MACOSX_BUNDLE_NAME}.app/Contents")
